// OurServices.vue

<template>
   <div>
        <!-- Navigation Component -->
        <Navigation />
        <!-- Navigation Component -->

        <!-- Distribution Page -->
        <div class="first_section">
          <p data-aos="fade-up" data-aos-duration="600" data-aos-delay="500" data-aos-once="true"  class="first_section_text">
            Professional grooming is our specialty. We distribute car products and 
            <br>
            offer car grooming services &mdash; from car washing, polishing to detailing.
            <br>
            Z3M delivers professionally groomed and detailed cars while
            <br>
            saving client's valuable time and money. Hassle-free guaranteed.
          </p>
        </div>

        <div data-aos="fade-up" data-aos-duration="600" data-aos-delay="1000" data-aos-once="true" class="onresponsive-only">
            <img src="../assets/prof.jpg" alt="dist-image"
            width="100%">
          </div>
        <div class="second_section">
          <div class="second">
          <div class="second_section_text">
            <h4 data-aos="fade-up" data-aos-delay="1500" data-aos-once="true"  >Professional Car Grooming Services
            <br> (Aftersales Centre, B2B, B2C)</h4>
            <p data-aos="fade-up" data-aos-delay="1700" data-aos-once="true" >Z3M strives to give our customers a service-oriented and hassle-free experience. 
            
            Our founder and his senior team has been in the detailing industry for more
            
             than 10 years, working with car distributors on Aftersales Centre’s car wash
            
              projects and car show events. With our experience and knowledge, we are 
            
             confident of tailoring a solution that befits the budget and expectations
            
             of our clients. For our retail customers, Z3M believes that our uncompromising
            
             vision of providing the best products and services will continue to garner 
            
            their support 
            as always. 
            </p>
          </div>
          </div>
        </div>
 
         <div class="third_section_wrapper">
          <div data-aos="fade-up" data-aos-once="true" class="timeline desktop-services">
              <img class="groom-icons desktop-icon" data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" src="../assets/icons/EP.png"  width="130px" alt="Events Preparation">
              <div class="container right">
                <div class="content">
                <img data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" class="groom-icons responsive-icon" src="../assets/icons/EP.png"  width="130px" alt="Events Preparation">
                  <h3 data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" class="groom-subhead">Events Preparation </h3>
                  <p data-aos="fade-up" data-aos-duration="500"  data-aos-once="true">We have a specialised team ready for car events. 
                    Z3M has been actively participating in pre- and 
                    during car show maintenance. 
                    <br>
                    <br>
                    Car events we have participated include the 
                    Singapore car shows Toyota Launch of Alphard,
                    ST Car Show and F1 Singapore GP Fringe Displays.</p>
                </div>
              </div>
              <img data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" class="groom-icons desktop-icon" src="../assets/icons/Tech.png"  width="120px" alt="Technology Advancement">
              <div class="container right">
                <div class="content">
              <img data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true"  class="groom-icons responsive-icon" src="../assets/icons/Tech.png"  width="130px" alt="Events Preparation">
                  <h3 data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true"  class="groom-subhead">Technology Advancement </h3>
                  <p data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true" >Z3M is always innovating and keeping in the 
                    forefront to adopt new technologies. We invest 
                    heavily on our staff training and tools to ply our
                    trade, and invest in state-of-the-art machines, 
                    such as polishing machines or new 
                    surface technology formulas.</p>
                </div>
              </div>
          </div>

             <div data-aos="fade-up" data-aos-once="true" class=" responsive-services">
              <div class=" right">
                <div class="content">
                <img data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" class="groom-icons responsive-icon" src="../assets/icons/EP.png"  width="75px" alt="Events Preparation">
                  <h3 data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" data-aos-delay="500" class="groom-subhead">Events Preparation </h3>
                  <p data-aos="fade-up" data-aos-duration="500"  data-aos-once="true" data-aos-delay="500">We have a specialised team ready for car events. 
                    Z3M has been actively participating in pre- and 
                    during car show maintenance. 
                    <br>
                    <br>
                    Car events we have participated include the 
                    Singapore car shows Toyota Launch of Alphard,
                    ST Car Show and F1 Singapore GP Fringe Displays.</p>
                </div>
              </div>
              <div class=" right">
                <div class="content">
              <img data-aos="fade-up" data-aos-duration="500" data-aos-once="true" class="groom-icons responsive-icon" src="../assets/icons/Tech.png"  width="75px" alt="Events Preparation">
                  <h3 data-aos="fade-up" data-aos-duration="500" data-aos-delay="500"  data-aos-once="true" class="groom-subhead">Technology Advancement </h3>
                  <p data-aos="fade-up" data-aos-duration="500" data-aos-delay="500" data-aos-once="true"  >Z3M is always innovating and keeping in the 
                    forefront to adopt new technologies. We invest 
                    heavily on our staff training and tools to ply our
                    trade, and invest in state-of-the-art machines, 
                    such as polishing machines or new 
                    surface technology formulas.</p>
                </div>
              </div>
          </div>
        </div>
        <!-- Distribution Page -->

        <!-- Footer Component -->
        <Footer />
        <!-- Footer Component -->

  </div>
</template>

<script>
import Navigation from './Navigation'
import Footer from './Footer'

  export default {
    name:'app',
    components: {
      Navigation,
      Footer

    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.first_section{
  min-height: 250px;
  background-color:white
}

.first_section_text{
  text-align: center;
  margin: auto;
  font-size: 1.5em;
  padding: 60px 0;
  margin-bottom: 0;
}

.second_section{
  background-image:url('../assets/prof.jpg');
  background-size: 52% 100%;
  background-position: right;
  background-color: #ffa827

}

.second{
  width: 80%;
  margin: auto;
}

.second_section_text{
  width: 45%;
  color: white;
  font-size: 1.2em;
  padding: 60px 0;
  padding-right: 60px


}

.second_section_text > h4{
  color: white;
  font-size: 2em;
  font-weight: bold
}


.third_section_wrapper{
  padding: 100px 0;
  min-height: 500px;
  box-sizing: border-box;

}

.groom-icons{
  float: left;
  margin-left: 240px;
  margin-top:35px
}

* {
  box-sizing: border-box;
}

.groom-subhead{
  color:#ffa827;
  font-weight: bold
}

/* The actual timeline (the vertical ruler) */
.timeline {
  position: relative;
  max-width: 1200px;
  margin:  auto;
}

/* The actual timeline (the vertical ruler) */
.timeline::after {
  content: '';
  position: absolute;
  width: 8px;
  background-color: #ffa827;
  top: 0;
  bottom: 0;
  left: 50%;
  margin-left: -3px;
}

/* Container around content */
.container {
  padding: 10px 40px;
  position: relative;
  width: 50%;
}

/* The circles on the timeline */
.container::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  background-color: #ffa827;
  border: 4px solid #ffa827;
  top: 95px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 30%;
}


/* Fix the circle for containers on the right side */
.right::after {
  left: -72px;
}

/* The actual content */
.content {
  padding: 20px 30px;
  background-color: white;
  position: relative;
  border-radius: 6px;
}
.responsive-icon{
  display: none
}

.responsive-services{
    display:none
}
 .onresponsive-only{
   display: none
  }
@media screen and (max-width: 1024px) {
    

     .onresponsive-only{
    width: 100%;
    margin: auto;
    text-align: center;
    display: block;
    margin-bottom: -10px
  }
  /* Container around content */
.container {
  padding: 10px 60px;
  position: relative;
  width: 50%;
}

/* The circles on the timeline */
.container::after {
  content: '';
  position: absolute;
  width: 25px;
  height: 25px;
  background-color: #ffa827;
  border: 4px solid #ffa827;
  top: 75px;
  border-radius: 50%;
  z-index: 1;
}

/* Place the container to the left */
.left {
  left: 0;
}

/* Place the container to the right */
.right {
  left: 25%;
}


/* Fix the circle for containers on the right side */
.right::after {
  left: -12px;
}

.groom-icons{
  float: left;
  margin-left: 200px;
  margin-top:15px
}
    .first_section_text {
  width: 60%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
}

    .second_section_text {
  width: 60%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
  text-align: center
}

.second_section{
  background-image: none;
  background-size: 800px 550px;
  background-position: right;
 background-color:  #ffa827;
}
}

@media screen and (max-width: 800px) {
.desktop-icon{
  display: none
}
  .responsive-icon{
  display: block

}

.desktop-services{
  display: none
}

.responsive-services{
  display: block;
  text-align: center
}
    .first_section_text {
  width: 60%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
}

.groom-icons{
  float: unset;
  margin-right: 0;
  margin-top:0;
  margin: auto;
  text-align: center
}

    .second_section_text {
  width: 80%;
  margin: auto;
  font-size: 1.1em;
  padding: 50px 0;
  text-align: center
}

.second_section{
  background-image: none;
  background-size: 800px 550px;
  background-position: right;
 background-color:  #ffa827;

}



  /* Place the timelime to the left */
  .timeline::after {
  left: 31px;
  }
  
  /* Full-width containers */
  .container {
  width: 100%;
  padding-left: 70px;
  padding-right: 25px;
  }
  
  /* Make sure that all arrows are pointing leftwards */
  .container::before {
  left: 60px;
  border: medium solid white;
  border-width: 10px 10px 10px 0;
  border-color: transparent white transparent transparent;
  }

  /* Make sure all circles are at the same spot */
  .left::after, .right::after {
  left: 19px;
  }
  
  /* Make all right containers behave like the left ones */
  .right {
  left: 0%;
  }
}
</style>